org.apache.cassandra.io.sstable

## Class CorruptSSTableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.io.sstable.CorruptSSTableException

- All Implemented Interfaces:
    java.io.Serializable

      public class CorruptSSTableException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.io.File` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorruptSSTableException(java.lang.Exception cause, java.io.File path)`
    `CorruptSSTableException(java.lang.Exception cause, java.lang.String path)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### path

          public final java.io.File path

  - ### Constructor Detail

    - #### CorruptSSTableException

          public CorruptSSTableException(java.lang.Exception cause,
                                         java.io.File path)

    - #### CorruptSSTableException

          public CorruptSSTableException(java.lang.Exception cause,
                                         java.lang.String path)

Copyright © 2018 The Apache Software Foundation